Can't Upgrade Please Suggest Something.

sudo pacman -Syu
[sudo] password for rdabra3: 
:: Synchronizing package databases...
 core is up to date
 extra                1646.6 KiB  1368 KiB/s 00:01 [######################] 100%
 community               4.7 MiB  2.33 MiB/s 00:02 [######################] 100%
 multilib              164.8 KiB  5.96 MiB/s 00:00 [######################] 100%
 sublime-text is up to date
 DEB_Arch_Extra          4.4 KiB  0.00   B/s 00:00 [######################] 100%
 DEB_Arch_Extra.sig    152.0   B  0.00   B/s 00:00 [######################] 100%
:: Starting full system upgrade...
warning: filesystem: local (2019.10-3) is newer than core (2019.10-2)
warning: mkinitcpio: local (27-2.0) is newer than core (27-2)
warning: tlp: local (1.2.2-1.1) is newer than community (1.2.2-1)
warning: ttf-droid: local (20121017-7.2) is newer than community (20121017-7)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing icu (65.1-2) breaks dependency 'icu<64.3' required by manjaro-settings-manager

Ah - never mind - I should have scrolled down your data more, I saw the DEB_Arch_extra and made an improper assumption.

1 Like

This is a known issue - several weeks ago.

Uninstall manjaro-settings-manager - update and reinstall MSM

sudo pacman -U manjaro-settings-manager manjaro-settings-manager-notifier
loading packages...
error: 'manjaro-settings-manager': could not find or read package
error: 'manjaro-settings-manager-notifier': could not find or read package

Your profile says stable but this indicates otherwise. Perhaps a profile update is in order?
As @linux-aarhus said: Read appropriate announcements announcements for your branch.

-U is a local installation command. To remove use -R.

sudo pacman -S manjaro-settings-manager manjaro-settings-manager-notifier 
loading packages... 
error: 'manjaro-settings-manager': could not find or read package 
error: 'manjaro-settings-manager-notifier': could not find or read package
sudo pacman -Syu
[sudo] password for rdabra3: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 sublime-text is up to date
 DEB_Arch_Extra          4.4 KiB   736 KiB/s 00:00 [######################] 100%
 DEB_Arch_Extra.sig    152.0   B  0.00   B/s 00:00 [######################] 100%
:: Starting full system upgrade...
warning: filesystem: local (2019.10-3) is newer than core (2019.10-2)
warning: mkinitcpio: local (27-2.0) is newer than core (27-2)
warning: tlp: local (1.2.2-1.1) is newer than community (1.2.2-1)
warning: ttf-droid: local (20121017-7.2) is newer than community (20121017-7)
resolving dependencies...
looking for conflicting packages...

Packages (400) alsa-firmware-1.2.1-1  alsa-lib-1.2.1.2-2  alsa-plugins-1.2.1-1
               alsa-topology-conf-1.2.1-1  alsa-ucm-conf-1.2.1.2-1
               alsa-utils-1.2.1-1  archlinux-appstream-data-20191128-1
               argon2-20190702-2  audit-2.8.5-6  autoconf-2.69-6
               automake-1.16.1-2  avahi-0.7+18+g1b5f401-3  b43-fwcutter-019-3
               bash-5.0.011-2  binutils-2.33.1-2  bison-3.4.2-2  blas-3.9.0-2
               blueman-2.1.1-2  boost-1.71.0-4  boost-libs-1.71.0-4
               brotli-1.0.7-3  btrfs-progs-5.3.1-3  bubblewrap-0.4.0-1
               ca-certificates-20181109-2  ca-certificates-mozilla-3.47.1-1
               ca-certificates-utils-20181109-2  cblas-3.9.0-2
               chrome-gnome-shell-10.1-3  clang-9.0.0-3  cmake-3.16.0-1
               cpupower-5.3-2  cracklib-2.9.7-2  crda-4.14-3
               cryptsetup-2.2.2-1  cups-filters-1.25.12-1  db-5.3.28-5
               dbus-1.12.16-3  device-mapper-2.02.186-3  dhcpcd-8.1.2-1
               diffutils-3.7-3  ding-libs-0.6.1-3  dmraid-1.0.0.rc16.3-12
               dnssec-anchors-20190629-2  dosfstools-4.1-3  e2fsprogs-1.45.4-2
               efibootmgr-16-2  efivar-37-3  evince-3.34.2-1
               evolution-data-server-3.34.2-1  expac-10-1  expat-2.2.9-2
               faad2-2.9.1-2  fakeroot-1.24-2  file-5.37-4
               file-roller-3.32.3-1  firefox-70.0.1-3  flatpak-1.5.1-1
               flex-2.6.4-3  fontconfig-2:2.13.91+24+g75eadca-1
               fontforge-20190801-2  fzf-0.19.0-1  gc-8.0.4-3  gdbm-1.18.1-3
               gedit-3.34.1-1  gettext-0.20.1-3  ghostscript-9.50-2
               gjs-2:1.58.3-1  glib2-2.62.3-1  glibc-2.30-3  gmime3-3.2.5-1
               gmp-6.1.2-3  gnome-control-center-3.34.2-1  gnome-maps-3.34.2-1
               gnome-session-3.34.2-1  gnome-shell-1:3.34.1+56+gbb24df2f9-1
               gnome-tweaks-3.34.0-2  gnupg-2.2.18-1  gnutls-3.6.10-2
               gobject-introspection-runtime-1.62.0-3  gom-0.3.3-4
               gpgme-1.13.1-3  gpm-1.20.7.r27.g1fd1941-2  grep-3.3-3
               groff-1.22.4-2  grub-2:2.04-3  gssproxy-0.8.2-2  gthumb-3.8.2-1
               gtk-update-icon-cache-1:3.24.13-1  gtk3-1:3.24.13-1
               gufw-19.10.0-2  gvfs-1.42.2-1  gvfs-afc-1.42.2-1
               gvfs-goa-1.42.2-1  gvfs-google-1.42.2-1  gvfs-mtp-1.42.2-1
               gvfs-smb-1.42.2-1  gzip-1.10-3  harfbuzz-2.6.4-2
               harfbuzz-icu-2.6.4-2  hdparm-9.58-3  hplip-1:3.19.11-4
               hwids-20191025-2  hwloc-2.1.0-2  iana-etc-20191123-1  icu-65.1-2
               imagemagick-7.0.9.7-1  imlib2-1.6.0-1  inetutils-1.9.4-8
               inkscape-0.92.4-9  intel-ucode-20191115-2  iproute2-5.4.0-1
               iptables-1:1.8.3-3  iputils-20190709-2  ipw2100-fw-1.3-10
               ipw2200-fw-3.1-8  iw-5.3-2  jfsutils-1.1.15-7  json-c-0.13.1-3
               kauth-5.64.0-2  kbd-2.2.0-5  kcoreaddons-5.64.0-2
               keyutils-1.6.1-3  kitemmodels-5.64.0-2  krb5-1.17-2
               lapack-3.9.0-2  ldb-1:1.5.6-2  ldns-1.7.1-2  less-551-3
               lib32-alsa-lib-1.2.1.2-1  lib32-alsa-plugins-1.2.1-1
               lib32-fontconfig-2:2.13.91+24+g75eadca-1  lib32-glib2-2.62.3-1
               lib32-glibc-2.30-3  lib32-harfbuzz-2.6.4-2  lib32-icu-65.1-2
               lib32-libepoxy-1.5.4-1  lib32-libgusb-0.3.1-1
               lib32-libpng-1.6.37-2  lib32-librsvg-2.46.4-1
               lib32-libtiff-4.1.0-1  lib32-libxml2-2.9.10-1
               lib32-libxslt-1.1.34-1  lib32-mesa-19.2.6-1
               lib32-mesa-vdpau-19.2.6-1  lib32-nss-3.47.1-1
               lib32-systemd-243.162-2  lib32-vulkan-intel-19.2.6-1
               lib32-vulkan-radeon-19.2.6-1  libaccounts-glib-1.24-3
               libaio-0.3.112-2  libarchive-3.4.0-3  libassuan-2.5.3-2
               libblockdev-2.23-3  libbytesize-2.1-3  libcap-2.27-2
               libcap-ng-0.7.9-2  libcdr-0.1.5-3  libe-book-0.1.3-6
               libelf-0.177-2  libepoxy-1.5.4-1  libevent-2.1.11-3
               libffi-3.2.1-4  libgcrypt-1.8.5-2  libgexiv2-0.12.0-4
               libgpg-error-1.36-3  libgusb-0.3.1-1  libibus-1.5.21-3
               libical-3.0.6-2  libidn-1.35-2  libidn2-2.3.0-1
               libimobiledevice-1.2.0+87+g92c5462-6  libixion-0.14.1-5
               libksba-1.3.5-2  libldap-2.4.48-2  liblouis-3.11.0-3
               libmagick6-6.9.10.74-1  libmm-glib-1.12.0-2  libmnl-1.0.4-3
               libmpc-1.1.0-2  libmspub-0.1.4-6  libnautilus-extension-3.34.2-1
               libnewt-0.52.21-3  libnftnl-1.1.4-2  libnghttp2-1.39.2-2
               libnl-3.5.0-2  libnm-1.20.8-1  libnsl-1.2.0-2  liborcus-0.14.1-5
               libpcap-1.9.1-2  libpeas-1.24.1-2  libphonenumber-8.10.20-3
               libpipeline-1.5.1-2  libplist-2.1.0-2  libproxy-0.4.15-13
               libpsl-0.21.0-2  libpwquality-1.4.2-2  libqxp-0.0.2-3
               libreoffice-fresh-6.3.3-1  librsvg-2:2.46.4-1  libsasl-2.1.27-2
               libseccomp-2.4.1-3  libsecret-0.19.1-2  libsignon-glib-2.1-2
               libssh2-1.9.0-2  libsynctex-2019.51075-4  libtasn1-4.15.0-1
               libteam-1.29-4  libtirpc-1.1.4-2  libtool-2.4.6+42+gb88cebd5-8
               libunistring-0.9.10-2  libusb-1.0.23-2  libusbmuxd-2.0.0-2
               libutil-linux-2.34-8  libva-mesa-driver-19.2.6-1
               libvisio-0.1.7-2  libvoikko-4.3-1  libwbclient-4.10.10-2
               libwpe-1.4.0.1-1  libxml2-2.9.10-1  libxslt-1.1.34-1
               libzmf-0.0.2-7  licenses-20191011-2  linux-api-headers-5.3.1-2
               linux-firmware-20191022.2b016af-3  llvm-9.0.0-4
               llvm-libs-9.0.0-4  logrotate-3.15.1-2  lollypop-1.2.16-1
               lsb-release-1.4-15  lvm2-2.02.186-3  lz4-1:1.9.2-2  lzo-2.10-3
               m4-1.4.18-3  make-4.2.1-4  man-pages-5.04-1  mdadm-4.1-2
               mercurial-5.2-1  mesa-19.2.6-1  mesa-vdpau-19.2.6-1
               minizip-1:1.2.11-4  mkinitcpio-busybox-1.30.1-2
               modemmanager-1.12.0-2  mpfr-4.0.2-2
               mutter-3.34.1+65+g1b75d78c7-1  nano-4.5-2  nautilus-3.34.2-1
               ncurses-6.1-7  netctl-1.20-2  nettle-3.5.1-2
               networkmanager-1.20.8-1  nfs-utils-2.4.2-1  nfsidmap-2.4.2-1
               npth-1.6-2  nspr-4.23-2  nss-3.47.1-1  oniguruma-6.9.4-1
               openexr-2.4.0-6  openmpi-4.0.2-2  openresolv-3.9.2-2
               openssh-8.1p1-2  openssl-1.1.1.d-2  ostree-2019.5-1
               p11-kit-0.23.18.1-2  pam-1.3.1-2  pambase-20190105.1-2
               patch-2.7.6-8  pciutils-3.6.2-2  pcre-8.43-2  pcre2-10.34-1
               perl-5.30.1-1  perl-http-cookies-6.07-1  perl-http-date-6.05-1
               perl-libwww-6.43-1  pinentry-1.1.0-5  pkcs11-helper-1.25.1-2
               pkgconf-1.6.3-3  polkit-0.116-3  poppler-0.82.0-1
               poppler-glib-0.82.0-1  popt-1.16-12  ppp-2.4.7-6
               pptpclient-1.10.0-2  procps-ng-3.3.15-2  protobuf-3.10.1-1
               psmisc-23.3-2  pygobject-devel-3.34.0-3  pyqt5-common-5.13.2-3
               pyside2-5.13.2-2  pyside2-tools-5.13.2-2  python-3.8.0-1
               python-appdirs-1.4.3-5  python-beautifulsoup4-4.8.1-1
               python-cairo-1.18.2-3  python-chardet-3.0.4-4
               python-cycler-0.10.0-5  python-dateutil-2.8.1-2
               python-dbus-1.2.14-1  python-dbus-common-1.2.14-1
               python-distro-1.4.0-3  python-evdev-1.2.0-3
               python-gobject-3.34.0-3  python-idna-2.8-3
               python-kiwisolver-1.1.0-3  python-matplotlib-3.1.1-4
               python-nautilus-1.2.3-3  python-numpy-1.17.4-1
               python-ordered-set-3.1.1-1  python-packaging-19.2-5
               python-pillow-6.2.0-4  python-pycups-1.9.74-3
               python-pycurl-7.43.0.3-3  python-pyparsing-2.4.5-1
               python-pyqt5-5.13.2-3  python-requests-2.22.0-3
               python-setuptools-1:41.6.0-1  python-shiboken2-5.13.2-3
               python-sip-4.19.19-3  python-sip-pyqt5-4.19.19-3
               python-six-1.13.0-2  python-soupsieve-1.9.5-2
               python-urllib3-1.25.7-1  python-xdg-0.26-4  python-yaml-5.1.2-3
               python2-cairo-1.18.2-3  python2-dbus-1.2.14-1
               python2-gobject-3.34.0-3  python2-psutil-5.6.7-1  qhull-2019.1-2
               qpdf-9.1.0-1  qscintilla-qt5-2.11.3-5  qt5-base-5.13.2-3
               qt5-location-5.13.2-2  qt5-webengine-5.13.2-3
               qt5-webkit-5.212.0alpha3-6  raptor-2.0.15-12  readline-8.0.001-2
               reiserfsprogs-3.6.27-3  rpcbind-1.2.5-3  run-parts-4.8.6.1-2
               s-nail-14.9.15-2  samba-4.10.10-2  sane-1.0.28-2  sed-4.7-3
               shadow-4.7-3  shiboken2-5.13.2-3  simple-scan-3.34.2-1
               sip-4.19.19-3  smbclient-4.10.10-2  sqlite-3.30.1-2
               sysfsutils-2.1.0-11  system-config-printer-1.5.12-2
               systemd-243.162-2  systemd-libs-243.162-2
               systemd-sysvcompat-243.162-2  talloc-2.3.0-1  tar-1.32-3
               tcl-8.6.10-1  tdb-1.3.18-4  tevent-1:0.9.39-4  texinfo-6.7-2
               thin-provisioning-tools-0.8.5-3  tk-8.6.10-1  tracker-2.3.0-2
               tracker-miners-2.3.0-2  tzdata-2019c-3  ufw-0.36-3
               unrar-1:5.8.4-1  usbutils-012-2  util-linux-2.34-8
               vi-1:070224-4  vim-8.1.2268-2  vim-runtime-8.1.2268-2
               virtualbox-6.0.14-4  volume_key-0.3.12-2  vte-common-0.58.3-1
               vte3-0.58.3-1  vtk-8.2.0-9  vulkan-intel-19.2.6-1
               vulkan-radeon-19.2.6-1  webkit2gtk-2.26.2-2  which-2.21-5
               wireless-regdb-2019.06.03-2  wpa_supplicant-2:2.9-2
               wpebackend-fdo-1.4.0-2  x264-3:0.157.r2980.34c06d1-2
               xcb-proto-1.13-4  xdg-desktop-portal-1.5.3-1
               xdg-desktop-portal-gtk-1.5.1-1  xdg-utils-1.1.3+18+g0547886-4
               xf86-video-intel-1:2.99.917+897+g0867eea6-1  xfsprogs-5.2.1-3
               xorg-server-1.20.6-1  xorg-server-common-1.20.6-1
               xorg-server-xwayland-1.20.6-1  xorg-xprop-1.2.4-1  xterm-351-1
               xz-5.2.4-2  yelp-xsl-3.34.2-1  zlib-1:1.2.11-4  zstd-1.4.3-2

Total Installed Size:  4516.37 MiB
Net Upgrade Size:        -5.06 MiB

:: Proceed with installation? [Y/n] 
(400/400) checking keys in keyring                 [######################] 100%
(400/400) checking package integrity               [######################] 100%
(400/400) loading package files                    [######################] 100%
(400/400) checking for file conflicts              [######################] 100%
error: failed to commit transaction (conflicting files)
bash: /etc/bash.bashrc exists in filesystem (owned by bashrc-manjaro)
bash: /etc/skel/.bashrc exists in filesystem (owned by bashrc-manjaro)
lsb-release: /etc/lsb-release exists in filesystem (owned by manjaro-release)
Errors occurred, no packages were upgraded.
sudo pacman -S manjaro-settings-manager manjaro-settings-manager-notifier
error: target not found: manjaro-settings-manager
error: target not found: manjaro-settings-manager-notifier

These should be in extra. Please post output of

$ pacman -Ss manjaro-settings

No Output

sudo pacman -Ss manjaro-settings
$ sudo pacman -S manjaro-settings-manager manjaro-settings-manager-notifier
error: target not found: manjaro-settings-manager
error: target not found: manjaro-settings-manager-notifier

These are the errors to tackle first.

A generally applicable solution: rename the files which exist to filename.bak:

sudo mv /etc/bash.bashrc /etc/bash.bashrc.bak
sudo mv /etc/skel/.bashrc /etc/skel/.bashrc.bak
sudo mv /etc/lsb-release /etc/lsb-release.bak

Then try to upgrade:

sudo pacman -Syyu

Thanks for the help.

What about manjaro-settings-manager?

This can't be right.

manjaro-settings-manager now can't be reinstalled on the system because the package manager isn't showing the package. Please help me.

Hi, was that a fresh installation?
A bit of curiosity, what were your last actions in your terminal or "Add/Delete software" before this happened?

What happens when you run the following in a terminal:
sudo pacman -Syyu manjaro-settings-manager ?

Forum kindly sponsored by